Bug 493263 - Traceback during installation of Fedora 11. It's for a encrypted file system.
Traceback during installation of Fedora 11. It's for a encrypted file system.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 500834 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-04-01 03:28 EDT by Christopher Grebs
Modified: 2009-06-22 00:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-29 10:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Attached traceback automatically from anaconda. (80.18 KB, text/plain)
2009-04-01 03:28 EDT, Christopher Grebs
no flags Details
Attached traceback automatically from anaconda. (205.59 KB, text/plain)
2009-06-22 00:16 EDT, Jason Elwell
no flags Details

  None (edit)
Description Christopher Grebs 2009-04-01 03:28:13 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 566, in writeRpmPlatform
    os.mkdir("%s/etc/rpm" %(root,))
  File "/usr/lib/anaconda/livecd.py", line 340, in doPostInstall
  File "/usr/lib/anaconda/backend.py", line 284, in doPostInstall
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 1338, in handleRenderCallback
OSError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/rpm'
Comment 1 Christopher Grebs 2009-04-01 03:28:21 EDT
Created attachment 337453 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-04-08 15:14:08 EDT
Can we also get /tmp/syslog (/var/log/anaconda.syslog on the installed system)?  This has all the makings of filesystem errors.
Comment 3 Chris Lumens 2009-05-29 10:37:54 EDT
We finally have a handle on this one.  It appears what's going on is that the Next button is still able to be clicked even when a progress bar is on the screen during livecd installs.  So if you're too fast or accidentally double click the Next button, we skip steps and end up in some really weird situations.

This will be fixed in anaconda after F11.  For F11, just be slower on clicking the next button.  See bug 498553 for more information.  Thanks for the report.
Comment 4 Chris Lumens 2009-05-29 10:41:15 EDT
*** Bug 500834 has been marked as a duplicate of this bug. ***
Comment 5 Jason Elwell 2009-06-22 00:16:08 EDT
Created attachment 348848 [details]
Attached traceback automatically from anaconda.

Note You need to log in before you can comment on or make changes to this bug.